Summary:	Read and write a subset of YAML for CPAN Meta files
Name:		perl-CPAN-Meta-YAML
Version:	0.018
Release:	5%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/CPAN-Meta-YAML
Source0:	https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-YAML-%{version}.tar.gz

BuildRequires:	coreutils findutils make perl-generators perl-interpreter perl(B) perl(Carp)
BuildRequires:	perl(Exporter) perl(strict) perl(warnings) perl(File::Basename) perl(File::Find)
BuildRequires:	perl(File::Spec) perl(File::Spec::Functions) perl(JSON::PP) perl(vars)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
# For test suite
BuildRequires:	perl(Fcntl) perl(Scalar::Util) perl(base) perl(IO::Dir) perl(lib) perl(utf8)
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(Test::More) >= 0.96
Requires:	perl(Carp) perl(Fcntl)
BuildArch:	noarch

%description
This module implements a subset of the YAML specification for use in
reading and writing CPAN metadata files like META.yml and MYMETA.yml. It
should not be used for any other general YAML parsing or generation
task.

%prep
%setup -q -n CPAN-Meta-YAML-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/CPAN/
%{_mandir}/man3/CPAN::Meta::YAML.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.018-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.018-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.018-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.018-2
- Rebuilt for OpenCloudOS Stream 23

* Fri May 6 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.018-1
- Initial build
